commit:     4c8f067c2621734ec4b32b360409f8bd28574cba
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Fri Jan  8 09:16:31 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Fri Jan  8 09:29:55 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4c8f067c

net-misc/youtube-dl: Bump to 2021.01.08

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 net-misc/youtube-dl/Manifest                     |  1 +
 net-misc/youtube-dl/youtube-dl-2021.01.08.ebuild | 71 ++++++++++++++++++++++++
 2 files changed, 72 insertions(+)

diff --git a/net-misc/youtube-dl/Manifest b/net-misc/youtube-dl/Manifest
index 28f69d942b2..dcae93a8e3a 100644
--- a/net-misc/youtube-dl/Manifest
+++ b/net-misc/youtube-dl/Manifest
@@ -3,3 +3,4 @@ DIST youtube-dl-2020.12.26.tar.gz 3246941 BLAKE2B 
7e2c3cea21e10458c1ee3718e9e039
 DIST youtube-dl-2020.12.29.tar.gz 3246557 BLAKE2B 
94ad5b81e9bfd17a1b05725920dab04f9d2e6e6655cf5df3bd42c443207253251b26f8c969a4baaabce7eb44e4cd2ec04d4ed20ad56569b540f2eba8796da3f9
 SHA512 
361bb9d60ca1b45887e56d346121412d4a23a7245d2960afdfca55e96d1134ef68126fd1aa5630e6067002de9e704cb70688d12d6e997413f221d28dced4fa81
 DIST youtube-dl-2020.12.31.tar.gz 3252801 BLAKE2B 
23b6acffb1d312b628f4c9c485b81645f679df7c0d40649acca665bc524115e81d842d9e336145d65ca8d6e4217f46f4a6fee8dfa48c11fa0316af2a069a68ce
 SHA512 
78c69648f40c99581a533bac0e1afa2339f5681a01278f9234ad8b6b3f0f1b29e21bb669d27d0a6f9bccae0e3be954b571261d1ab9a1e778f3f028c8795595b6
 DIST youtube-dl-2021.01.03.tar.gz 3258305 BLAKE2B 
faebd2ad58b434b6c34d8ede40f5b095acfa123db306881dce4b78f7d144bd76de7d45cc248ad09bcfe86b5930db6a8f69fbdaca5b62b4942ce6c6b004c791f1
 SHA512 
2698e91bb176e79c3c8d621e835f58523099b7d2b3aea33df01c6f692ce68b02df12884dc276111e53296db2f284f7ac24603302e35f4e10852a1ec9ec9abd18
+DIST youtube-dl-2021.01.08.tar.gz 3270591 BLAKE2B 
7be0b80a80943360ed0b3385921bc4a42c9d5cbb92d5d11f159c0b374a0c86798b14f635e8d31c16aa690f736a14d6c11369b10e42722fd7b5b7a5fdca182196
 SHA512 
516c5ac6e0e4513e574771a9d39f643f077e18b408dc7b709b92ca99d2d72f15719b545d5f7598a3a1d5eaeae52efff283c42001ce8c846c019582490be8cac1

diff --git a/net-misc/youtube-dl/youtube-dl-2021.01.08.ebuild 
b/net-misc/youtube-dl/youtube-dl-2021.01.08.ebuild
new file mode 100644
index 00000000000..9d465c61694
--- /dev/null
+++ b/net-misc/youtube-dl/youtube-dl-2021.01.08.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=(python3_{6..9})
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit bash-completion-r1 distutils-r1 readme.gentoo-r1
+
+DESCRIPTION="Download videos from YouTube.com (and more sites...)"
+HOMEPAGE="https://youtube-dl.org/ https://github.com/ytdl-org/youtube-dl/";
+SRC_URI="https://youtube-dl.org/downloads/${PV}/${P}.tar.gz";
+S=${WORKDIR}/${PN}
+
+LICENSE="public-domain"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux 
~ppc-macos ~x64-macos ~x86-solaris"
+SLOT="0"
+
+RDEPEND="
+       dev-python/pycryptodome[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests nose
+
+src_prepare() {
+       sed -i -e '/flake8/d' Makefile || die
+       distutils-r1_src_prepare
+}
+
+python_test() {
+       emake offlinetest
+}
+
+python_install_all() {
+       doman youtube-dl.1
+
+       newbashcomp youtube-dl.bash-completion youtube-dl
+
+       insinto /usr/share/zsh/site-functions
+       newins youtube-dl.zsh _youtube-dl
+
+       insinto /usr/share/fish/vendor_completions.d
+       doins youtube-dl.fish
+
+       distutils-r1_python_install_all
+
+       rm -r "${ED}"/usr/etc || die
+       rm -r "${ED}"/usr/share/doc/youtube_dl || die
+}
+
+pkg_postinst() {
+       elog "youtube-dl(1) / https://bugs.gentoo.org/355661 /"
+       elog "https://github.com/rg3/youtube-dl/blob/master/README.md#faq :"
+       elog
+       elog "youtube-dl works fine on its own on most sites. However, if you 
want"
+       elog "to convert video/audio, you'll need ffmpeg (media-video/ffmpeg)."
+       elog "On some sites - most notably YouTube - videos can be retrieved in"
+       elog "a higher quality format without sound. youtube-dl will detect 
whether"
+       elog "ffmpeg is present and automatically pick the best option."
+       elog
+       elog "Videos or video formats streamed via RTMP protocol can only be"
+       elog "downloaded when rtmpdump (media-video/rtmpdump) is installed."
+       elog
+       elog "Downloading MMS and RTSP videos requires either mplayer"
+       elog "(media-video/mplayer) or mpv (media-video/mpv) to be installed."
+       elog
+       elog "If you want youtube-dl to embed thumbnails from the metadata into 
the"
+       elog "resulting MP4 files, consider installing 
media-video/atomicparsley"
+}

Reply via email to